完美解决Ubuntu Linux系统运行Windows版QQ的问题

在Linux运行Windows版QQ是我一直以来的痛,也是很多人一直以来的痛,毕竟没有多少人愿意使用比OICQ还垃圾的QQ For Linux。对此,有很多人想出了各种方法,例如deepin-wine-for-ubuntu,或者使用docker安装QQ。但deepin-wine-for-ubuntu已经失效;而使用docker的方法太麻烦。

之后又出了deepin-wine5,debian系用户可以通过添加软件源安装,还有人将其移植到了Archlinux,可以从AUR安装。deepin-wine5的安装变得友好,尤其是我这种Kubuntu用户。

但光有deepin-wine5环境还不够,接着是安装QQ。直接安装是不行的,我之前直接用QQ官方安装包安装,虽然可以正常启动,但输入框无法输入文本。

很显然,我必须使用deepin源的deb包安装。

我根据B站科大_吴亦凡的视频下面的链接找到了对应的deb包,但用apt安装时却提示缺少deepin-wine(缺少的是老旧的deepin-wine2,而不是deepin-wine5)。我又使用dpkg安装,这回不报依赖错误了,而是:

配置时有错误发生:***.deb

但应用菜单里确实有了QQ的图标。

我点了,一点反应都氵。

我吐了!

但随后,我想到我以前用deepin的时候,QQ是装在~/.deepinwine/Deepin-QQ里的,那我是不是直接把deepin里的二进制文件复制过来就可以了?

然后我尝试了,也成功了。

为了防止重装系统后又得搞一次,因此我将相关文件整理并上传到了Gitee上。

打开仓库主页,然后按照README.md做即可。

我还录制了视频教程。

vvvbbbcz原创,未经允许,禁止转载

退出移动版